#include <bits/stdc++.h>

using namespace std;

double koeficijent(int x1, int x2, int y1, int y2)
{
    if(x1==x2)
    {
        return 0;
    }
    return (y1-y2)/(x1-x2);
}

int duzina (int x1, int x2, int y1, int y2)
{
    return sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
}
int main()
{
    int n,br,pom=0;
    cin>>n;
    br=n*(n-1)/2;
    pair<int,int>x[n];
    double k[br][br];
    int ras[br][br];
    for(int i=0; i<n; i++)
    {
        cin>>x[i].first>>x[i].second;
    }
    for(int i=0; i<n; i++)
    {
        for(int j=i+1; j<n; j++)
        {
          ras[i][j]=duzina(x[i].first,x[j].first,x[i].second,x[j].second);
          k[i][j]=koeficijent(x[i].first,x[j].first,x[i].second,x[j].second);
        }
    }
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            for(int m=i+1; m<n; m++)
            {
                for(int t=0; t<n; t++)
                {
                    if(((ras[i][j]==2*ras[m][t])&& k[i][j]==k[m][t]) && i!=m && j!=t && j!=i && m!=t)
                    {
                        pom++;
                    }
                }
            }
        }
    }
    cout<<pom;
}